glibmm: Glib::Property_WriteOnly< T > Class Template Reference

glibmm 2.66.0

Public Types | Public Member Functions | List of all members
Glib::Property_WriteOnly< T > Class Template Reference

See Property. More...

`#include <glibmm/property.h>`

Inheritance diagram for Glib::Property_WriteOnly< T >:
[legend]

## Public Types
typedef T | PropertyType
typedef Glib::Value< T > | ValueType

## Public Member Functions
| Property_WriteOnly (Glib::Object& object, const Glib::ustring& name)
| Constructs a property of the object with the specified name. More...
| Property_WriteOnly (Glib::Object& object, const Glib::ustring& name, const PropertyType& default_value)
| Constructs a property of the object with the specified name and default_value. More...
| Property_WriteOnly (Glib::Object& object, const Glib::ustring& name, const Glib::ustring& nick, const Glib::ustring& blurb, Glib::ParamFlags flags)
| Constructs a property of the object with the specified name, nick, blurb and flags. More...
| Property_WriteOnly (Glib::Object& object, const Glib::ustring& name, const PropertyType& default_value, const Glib::ustring& nick, const Glib::ustring& blurb, Glib::ParamFlags flags)
| Constructs a property of the object with the specified name, default_value, nick, blurb and flags. More...
void | set_value (const PropertyType& data)
| Sets the value of the property to data. More...
Property_WriteOnly< T >& | operator= (const PropertyType& data)
| Sets the value of the property to data. More...
Glib::PropertyProxy_WriteOnly< T > | get_proxy ()
| Returns a proxy object that can be used to write this property. More...
Public Member Functions inherited from Glib::PropertyBase
| PropertyBase (const PropertyBase&)=delete
PropertyBase& | operator= (const PropertyBase&)=delete
Glib::ustring | get_name () const
| Returns the name of the property. More...
Glib::ustring | get_nick () const
| Returns the nickname of the property. More...
Glib::ustring | get_blurb () const
| Returns the short description of the property. More...
void | notify ()
| Notifies the object containing the property that the property has changed. More...

## Additional Inherited Members
Protected Member Functions inherited from Glib::PropertyBase
| PropertyBase (Glib::Object& object, GType value_type)
| This constructs a property of type value_type for the object. More...
| ~PropertyBase () noexcept
bool | lookup_property (const Glib::ustring& name)
| Checks if the property has already been installed. More...
void | install_property (GParamSpec* param_spec)
| Installs the property specified by the given param_spec. More...
const char* | get_name_internal () const
| Returns the name of the property. More...
Protected Attributes inherited from Glib::PropertyBase
Glib::Object* | object_
Glib::ValueBase | value_
GParamSpec* | param_spec_

## Detailed Description

### template<class T>
class Glib::Property_WriteOnly< T >

See Property.

This property can be written, but not read, so there is no get_value() method.

## Member Typedef Documentation

## ◆ PropertyType

template <class T >

typedef T Glib::Property_WriteOnly< T >::PropertyType

## ◆ ValueType

template <class T >

typedef Glib::Value<T> Glib::Property_WriteOnly< T >::ValueType

## Constructor & Destructor Documentation

## ◆ Property_WriteOnly() [1/4]

template <class T >

Glib::Property_WriteOnly< T >::Property_WriteOnly | ( | Glib::Object& | object,
|  | const Glib::ustring& | name
| ) |  |

Constructs a property of the object with the specified name.

For each instance of the object, the same property must be constructed with the same name.

## ◆ Property_WriteOnly() [2/4]

template <class T >

Glib::Property_WriteOnly< T >::Property_WriteOnly | ( | Glib::Object& | object,
|  | const Glib::ustring& | name,
|  | const PropertyType& | default_value
| ) |  |

Constructs a property of the object with the specified name and default_value.

For each instance of the object, the same property must be constructed with the same name.

## ◆ Property_WriteOnly() [3/4]

template <class T >

Glib::Property_WriteOnly< T >::Property_WriteOnly | ( | Glib::Object& | object,
|  | const Glib::ustring& | name,
|  | const Glib::ustring& | nick,
|  | const Glib::ustring& | blurb,
|  | Glib::ParamFlags | flags
| ) |  |

Constructs a property of the object with the specified name, nick, blurb and flags.

For each instance of the object, the same property must be constructed with the same name.

## ◆ Property_WriteOnly() [4/4]

template <class T >

Glib::Property_WriteOnly< T >::Property_WriteOnly | ( | Glib::Object& | object,
|  | const Glib::ustring& | name,
|  | const PropertyType& | default_value,
|  | const Glib::ustring& | nick,
|  | const Glib::ustring& | blurb,
|  | Glib::ParamFlags | flags
| ) |  |

Constructs a property of the object with the specified name, default_value, nick, blurb and flags.

For each instance of the object, the same property must be constructed with the same name.

## Member Function Documentation

## ◆ get_proxy()

template <class T >

Glib::PropertyProxy_WriteOnly<T> Glib::Property_WriteOnly< T >::get_proxy | ( |  | ) |
| inline

Returns a proxy object that can be used to write this property.

## ◆ operator=()

template <class T >

Property_WriteOnly<T>& Glib::Property_WriteOnly< T >::operator= | ( | const PropertyType& | data | ) |
| inline

Sets the value of the property to data.

The object containing the property will be notified about the change.

## ◆ set_value()

template <class T >

void Glib::Property_WriteOnly< T >::set_value | ( | const PropertyType& | data | ) |
| inline

Sets the value of the property to data.

The object containing the property will be notified about the change.